# HAM :
# expects field type and value to validate
# returns a message if validation failed
# returns nothing if validation succeeded

set type [ns_queryget type]
set value [ns_queryget value]

set message ""

switch $type {
	"email" {
		if { ![util_email_valid_p $value] } {
			append message "The email address is invalid.<br>"
		}
		if { ![util_email_unique_p $value] } {
			append message "Email is already being used.<br>"
		}
        }
	"username" {
		if { [db_0or1row "getusername" "select username from users where username=:value" ] } {
			append message "Username is already being used."
		}
	}

}